Mailinglist Archive: opensuse-factory (649 mails)

< Previous Next >
Re: [opensuse-factory] php 5.6 on Leap 42.3
On mercredi, 9 août 2017 05.41:16 h CEST David C. Rankin wrote:
On 08/04/2017 05:16 AM, Andrey Gankov wrote:
Hello

How i can get php 5.6 for openSUSE Leap 42.3?

Why in official repository old version of php? And why repository
devel:languages:php don't exist for 42.3?

May be someone can fix it.

The problem being that there is a large number of php packages that have not
been fully updated to support php7. (they are getting there, but not all
are). This makes php5.6 mandatory. Arch provides php5.6 though AUR. It
installs along side php7 (with binary as /usr/bin/php56 and php.ini in
/etc/php56) and any package that requires php5.6, just specifiy
#!/usr/bin/php56 as the interpreter.

Works very well. Would be worth providing a similar package for 42.3.

Honestly if they conflicts which is actually the case : php5 is not co-
installable with php7, I doubt it will ever happen, meaning not enough people
(maintainer) are interested in.

Tumbleweed will see php5 disappear in a few time.

What do you mean by php packages that have not been fully updated to support
php7 ?
Have you a list of ?

--

Bruno Friedmann
Ioda-Net Sàrl www.ioda-net.ch
Bareos Partner, openSUSE Member, fsfe fellowship
GPG KEY : D5C9B751C4653227
irc: tigerfoot


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >